package rocks.zipcode.quiz3a.fundamentals.calculator;

import org.junit.Assert;
import org.junit.Test;
import rocks.zipcode.quiz3a.fundamentals.Calculator;

/**
 * @author leon on 01/01/2019.
 */
public class SquareTest {
    @Test
    public void test1() {
        // given
        test(32.70);
    }

    @Test
    public void test2() {
        // given
        test(689.93);
    }

    @Test
    public void test3() {
        // given
        test(35354.0);
    }

    @Test
    public void test4() {
        // given
        test(746.93774653);
    }

    @Test
    public void test5() {
        // given
        test(99873636.94874);
    }

    private void test(Double input) {
        // given
        Double expected = input * input;

        // when
        Calculator calculator = new Calculator();
        Double actual = calculator.square(input);

        // then
        Assert.assertEquals(expected, actual, 0);
    }
}
