package rocks.zipcode.quiz3a.fundamentals.calculator;
import org.junit.*;
import rocks.zipcode.quiz3a.fundamentals.Calculator;

public class SquareRootTest {

    @Test
    public void test1() {
        // given
        test(64.0);
    }

    @Test
    public void test2() {
        // given
        test(44100.0);
    }

    @Test
    public void test3() {
        // given
        test(144.0);
    }

    @Test
    public void test4() {
        // given
        test(390625.0);
    }

    @Test
    public void test5() {
        // given
        test(36.0);
    }

    private void test(Double input) {
        // given
        Double expected = Math.sqrt(input);

        // when
        Calculator calculator = new Calculator();
        Double actual = calculator.squareRoot(input);

        // then
        Assert.assertEquals(expected, actual, 0);
    }
}
