package rocks.zipcode.quiz3a.fundamentals.calculator;

import org.junit.Assert;
import org.junit.Test;
import rocks.zipcode.quiz3a.fundamentals.Calculator;

/**
 * @author leon on 01/01/2019.
 */
public class SubtractTest {
    @Test
    public void test1() {
        // given
        test(32.70, 49.04);
    }

    @Test
    public void test2() {
        // given
        test(689.93, 746.00);
    }

    @Test
    public void test3() {
        // given
        test(35354.0, 74542.0);
    }

    @Test
    public void test4() {
        // given
        test(746.93774653, 889409027.3737773635554244);
    }

    @Test
    public void test5() {
        // given
        test(99873636.94874, 839.03);
    }

    private void test(Double input1, Double input2) {
        // given
        Double expected = input1 - input2;

        // when
        Calculator calculator = new Calculator();
        Double actual = calculator.subtract(input1, input2);

        // then
        Assert.assertEquals(expected, actual, 0);
    }
}
